javax.faces.validator

## Class ValidatorException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - javax.faces.FacesException
        - - javax.faces.validator.ValidatorException

- All Implemented Interfaces:
    Serializable

      public class ValidatorException
      extends FacesException

  A ValidatorException is an exception thrown by the `validate()` method of a `Validator` to indicate that validation failed.

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ValidatorException(Collection<FacesMessage> messages)` Allow this one exception to contain multiple messages.
    `ValidatorException(Collection<FacesMessage> messages, Throwable cause)` Allow this one exception to contain multiple messages, while passing on the root cause to the superclass
    `ValidatorException(FacesMessage message)` Construct a new exception with the specified message and no root cause.
    `ValidatorException(FacesMessage message, Throwable cause)` Construct a new exception with the specified detail message and root cause.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `FacesMessage` | `getFacesMessage()` Returns the `FacesMessage` associated with the exception.
    `Collection<FacesMessage>` | `getFacesMessages()` If this instance was created with a constructor that takes `Collection<FacesMessage>`, this method returns the passed collection, otherwise this method returns `null`.

    - ### Methods inherited from class javax.faces.FacesException

      `getCause`

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ValidatorException

          public ValidatorException(FacesMessage message)

      Construct a new exception with the specified message and no root cause.

      Parameters:
        `message` - The message for this exception

    - #### ValidatorException

          public ValidatorException(Collection<FacesMessage> messages)

      Allow this one exception to contain multiple messages.

      Parameters:
        `messages` -
      Since:
        2.0

    - #### ValidatorException

          public ValidatorException(FacesMessage message,
                            Throwable cause)

      Construct a new exception with the specified detail message and root cause.

      Parameters:
        `message` - The detail message for this exception
        `cause` - The root cause for this exception

    - #### ValidatorException

          public ValidatorException(Collection<FacesMessage> messages,
                            Throwable cause)

      Allow this one exception to contain multiple messages, while passing on the root cause to the superclass

      Parameters:
        `messages` - the detail messages for this exception
        `cause` - the root cause for this exception
      Since:
        2.0

  - ### Method Detail

    - #### getFacesMessage

          public FacesMessage getFacesMessage()

      Returns the `FacesMessage` associated with the exception. If this instance was created with a constructor that takes `Collection<FacesMessage>`, this method returns the first message in the `Collection`

    - #### getFacesMessages

          public Collection<FacesMessage> getFacesMessages()

      If this instance was created with a constructor that takes `Collection<FacesMessage>`, this method returns the passed collection, otherwise this method returns `null`.

      Since:
        2.0

Copyright © 1996-2013, Oracle and/or its affiliates. All Rights Reserved. Use is subject to license terms.